# MittelmannDistCntrlDiri1 Class Reference

Class implementating Example 1. More...

`#include <MittelmannDistCntrlDiri.hpp>`

Inheritance diagram for MittelmannDistCntrlDiri1:
[legend]

List of all members.

## Public Member Functions
| MittelmannDistCntrlDiri1 ()
virtual | ~MittelmannDistCntrlDiri1 ()
virtual bool | InitializeProblem (Index N)
| Initialize internal parameters, where N is a parameter determining the problme size.
## Protected Member Functions
virtual Number | y_d_cont (Number x1, Number x2) const
| Target profile function for y.
virtual Number | d_cont (Number x1, Number x2, Number y, Number u) const
| Forcing function for the elliptic equation.
virtual Number | d_cont_dy (Number x1, Number x2, Number y, Number u) const
| First partial derivative of forcing function w.r.t.
virtual Number | d_cont_du (Number x1, Number x2, Number y, Number u) const
| First partial derivative of forcing function w.r.t.
virtual Number | d_cont_dydy (Number x1, Number x2, Number y, Number u) const
| Second partial derivative of forcing function w.r.t y,y.
## Private Member Functions
hide implicitly defined contructors copy operators
| MittelmannDistCntrlDiri1 (const MittelmannDistCntrlDiri1 &)
MittelmannDistCntrlDiri1 & | operator= (const MittelmannDistCntrlDiri1 &)
| Overloaded Equals Operator.

## Detailed Description

Class implementating Example 1.

Definition at line 220 of file MittelmannDistCntrlDiri.hpp.

## Constructor & Destructor Documentation

MittelmannDistCntrlDiri1::MittelmannDistCntrlDiri1 | ( |  | ) | `[inline]`

Definition at line 223 of file MittelmannDistCntrlDiri.hpp.

virtual MittelmannDistCntrlDiri1::~MittelmannDistCntrlDiri1 | ( |  | ) | `[inline, virtual]`

Definition at line 226 of file MittelmannDistCntrlDiri.hpp.

MittelmannDistCntrlDiri1::MittelmannDistCntrlDiri1 | ( | const MittelmannDistCntrlDiri1 & |  | ) | `[private]`

## Member Function Documentation

virtual bool MittelmannDistCntrlDiri1::InitializeProblem | ( | Index | N | ) | `[inline, virtual]`

Initialize internal parameters, where N is a parameter determining the problme size.

This returns false, if N has an invalid value.

Implements RegisteredTNLP.

Definition at line 229 of file MittelmannDistCntrlDiri.hpp.

virtual Number MittelmannDistCntrlDiri1::y_d_cont | ( | Number | x1,
|  | Number | x2 |
| ) |  |  | const`[inline, protected, virtual]`

Target profile function for y.

Implements MittelmannDistCntrlDiriBase.

Definition at line 247 of file MittelmannDistCntrlDiri.hpp.

virtual Number MittelmannDistCntrlDiri1::d_cont | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u |
| ) |  |  | const`[inline, protected, virtual]`

Forcing function for the elliptic equation.

Implements MittelmannDistCntrlDiriBase.

Definition at line 252 of file MittelmannDistCntrlDiri.hpp.

virtual Number MittelmannDistCntrlDiri1::d_cont_dy | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u |
| ) |  |  | const`[inline, protected, virtual]`

First partial derivative of forcing function w.r.t.

y

Implements MittelmannDistCntrlDiriBase.

Definition at line 257 of file MittelmannDistCntrlDiri.hpp.

virtual Number MittelmannDistCntrlDiri1::d_cont_du | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u |
| ) |  |  | const`[inline, protected, virtual]`

First partial derivative of forcing function w.r.t.

u

Implements MittelmannDistCntrlDiriBase.

Definition at line 262 of file MittelmannDistCntrlDiri.hpp.

virtual Number MittelmannDistCntrlDiri1::d_cont_dydy | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u |
| ) |  |  | const`[inline, protected, virtual]`

Second partial derivative of forcing function w.r.t y,y.

Implements MittelmannDistCntrlDiriBase.

Definition at line 267 of file MittelmannDistCntrlDiri.hpp.

MittelmannDistCntrlDiri1& MittelmannDistCntrlDiri1::operator= | ( | const MittelmannDistCntrlDiri1 & |  | ) | `[private]`

Overloaded Equals Operator.

Reimplemented from MittelmannDistCntrlDiriBase.

The documentation for this class was generated from the following file:

- examples/ScalableProblems/MittelmannDistCntrlDiri.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines